io.vertx.groovy.servicediscovery.types

## Class MessageSource_GroovyStaticExtension

- java.lang.Object
- - io.vertx.groovy.servicediscovery.types.MessageSource_GroovyStaticExtension

-     public class MessageSource_GroovyStaticExtension
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MessageSource_GroovyStaticExtension()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Map<String,Object>` | `createRecord(MessageSource j_receiver, String name, String address)`
    `static Map<String,Object>` | `createRecord(MessageSource j_receiver, String name, String address, String type)`
    `static Map<String,Object>` | `createRecord(MessageSource j_receiver, String name, String address, String type, Map<String,Object> metadata)`
    `static <T> void` | `getConsumer(MessageSource j_receiver, ServiceDiscovery discovery, java.util.function.Function<Map<String,Object>,Boolean> filter, Handler<AsyncResult<MessageConsumer<Object>>> resultHandler)`
    `static <T> void` | `getConsumer(MessageSource j_receiver, ServiceDiscovery discovery, Map<String,Object> filter, Handler<AsyncResult<MessageConsumer<Object>>> resultHandler)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MessageSource_GroovyStaticExtension

          public MessageSource_GroovyStaticExtension()

  - ### Method Detail

    - #### createRecord

          public static Map<String,Object> createRecord(MessageSource j_receiver,
                                                        String name,
                                                        String address,
                                                        String type,
                                                        Map<String,Object> metadata)

    - #### createRecord

          public static Map<String,Object> createRecord(MessageSource j_receiver,
                                                        String name,
                                                        String address,
                                                        String type)

    - #### createRecord

          public static Map<String,Object> createRecord(MessageSource j_receiver,
                                                        String name,
                                                        String address)

    - #### getConsumer

          public static <T> void getConsumer(MessageSource j_receiver,
                                             ServiceDiscovery discovery,
                                             Map<String,Object> filter,
                                             Handler<AsyncResult<MessageConsumer<Object>>> resultHandler)

    - #### getConsumer

          public static <T> void getConsumer(MessageSource j_receiver,
                                             ServiceDiscovery discovery,
                                             java.util.function.Function<Map<String,Object>,Boolean> filter,
                                             Handler<AsyncResult<MessageConsumer<Object>>> resultHandler)

Copyright © 2017. All rights reserved.